<?php require_once('../../Connections/cn.php'); ?>
<?php 
header("Content-Type:text/html; charset=utf-8");
//DATOS del personal
	$id_carrera=$_GET['id_carrera'];
	//$id_sede=$_GET['id_sede'];
	$cedula=$_GET['id_alumno'];
    // Datos del Periodo donde cursa estudios
    $periodo=$_GET['periodo'];
	$periodo='<b>'.$periodo.'</b>';
	// Datos del Módulo
    $modulo=$_GET['modulo'];
	$modulo='<b>'.$modulo.'</b>';

    mysql_select_db($database_cn, $cn);
//	mysql_query ("SET NAMES 'utf8'");

     $sql = "SELECT id_alumno FROM alumnos WHERE cedula='$cedula'";
	$rs = mysql_query($sql, $cn);
	$row = mysql_fetch_assoc($rs);
	$id_alumno=$row['id_alumno'];

	$sql0 = "SELECT sede FROM carreras_alumno WHERE id_alumno='$id_alumno' AND cod_carrera='$id_carrera'";
	$rs0 = mysql_query($sql0, $cn);
	$row0 = mysql_fetch_assoc($rs0);
	$id_sede=$row0['sede'];
		
	
	$sql1 = "SELECT * FROM carreras WHERE id_carrera='$id_carrera'";
	$rs1 = mysql_query($sql1, $cn);
	$row1 = mysql_fetch_assoc($rs1);
	$carrera=$row1['nombre_carrera'];
	$prefijo=$row1['prefijo'];
	
	$sql = "SELECT * FROM alumnos WHERE id_alumno='$id_alumno'";
	$rs = mysql_query($sql, $cn);
	$row = mysql_fetch_assoc($rs);
	$completo=trim($row['nombres'])." ".trim($row['apellidos']);
	
	
	$cedula=$row['cedula'];
	$tipodoc=$row['tipodoc'];
	$sexo=$row['genero'];
	if ($sexo=='1'){
		$inscrito='cursando';
		$ciudadano='la ciudadana ';
		}
		else {
		$inscrito='cursando';
		$ciudadano='el ciudadano ';
		}
		
	if(substr($tipodoc,0,1)=="C") {
	    $documento='titular de la cédula de identidad ';
		}
				else {	
		 $documento='titular del Pasaporte ';}
		
		

    // Busca el nombre de la sede.
	$sql_sede = "SELECT ciudad_sede FROM sedes WHERE codigo='$id_sede'";
	$rs_sede = mysql_query($sql_sede, $cn);
	$row_sede = mysql_fetch_assoc($rs_sede);
	$nombre_sede='Caracas';
	$ciudad_sede='Caracas';
	//$row_sede['ciudad_sede'];
	
	$fecha1 = explode("-",date("Y-m-d")); 
	$fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
	$fecha = cambioFecha($fecha2); 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 

// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde'); 

$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff)); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
$pdf->ezSetCmMargins(1,1,3,3);
// Inicio del Encabezado.
//$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
//$pdf->addImage($imagen,35,$pdf->y-55,100,0);
$pdf->ezsetdy(-10);
//$pdf->ezText('<b>'."              UNIVERSIDAD LATINOAMERICANA Y DEL CARIBE".'</b>',14,array('justification'=>'full'));
$pdf->ezsetdy(-80);
$pdf->ezText('<b>'."C O N S T A N C I A".'</b>',16,array('justification'=>'center'));
$pdf->ezsetdy(-35);
//$pdf->selectFont('fonts/Times-Roman.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
//$diff=array(225=>'&aacute;',233=>'&eacute',237=>'&iacute',243=>'&oacute',250=>'&uacute',241=>'&ntilde',209=>'&Ntilde');
//$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));

$texto=utf8_decode("Quien suscribe, Jefa de Control de Estudios de la Universidad Latinoamericana y del Caribe (ULAC), por medio de la presente hace constar que $ciudadano ".'<b>'." $completo,".'</b>'." $documento Nro. ".'<b>'."$cedula".'</b>'.", es participante del PostGrado ".'<b>'."$carrera,".'</b>'." realizó el Curso de Inglés Instrumental (120 Horas), y alcanzó el puntaje exigido para su aprobación.
El citado participante cumple con los requisitos exigidos en el Diseño Curricular correspondiente, por lo que obtiene la:");





$emitido=utf8_decode("Constancia que se expide a solicitud de la parte interesada en $nombre_sede, ".$fecha.".");

$pdf->ezText($texto,13,array('justification'=>'full','spacing'=>'1.5'));
$pdf->ezsetdy(-20);
$pdf->ezText('<b>'.utf8_decode("SUFICIENCIA EN EL IDIOMA INGLÉS").'</b>',16,array('justification'=>'center'));
$pdf->ezsetdy(-20);
$pdf->ezText($emitido,13,array('justification'=>'full','spacing'=>'1.5'));

$pdf->ezsetdy(-30);
$pdf->ezText("Atentamente,",13,array('justification'=>'center'));
$pdf->ezsetdy(-120);
$pdf->ezText('<b>'."Lic. Hilda Echarry".'</b>',13,array('justification'=>'center'));
$pdf->ezsetdy(-5);
$pdf->ezText(utf8_decode('<b>'."Jefa del Departamento de Control Estudios".'</b>'),12,array('justification'=>'center'));
$pdf->ezNewPage();

$pdf->ezSetCmMargins(2.5,1,3,2);
$pdf->ezText('<b>'.utf8_decode("CONTENIDO DEL CURSO").'</b>',14,array('justification'=>'center'));
$pdf->ezsetdy(-10);
$pdf->ezText('<b>'.utf8_decode("UNIDAD I: PARTES DEL DISCURSO").'</b>',12,array('justification'=>'left'));
$pdf->ezsetdy(-5);
$pdf->ezText('<b>'.utf8_decode("Contenido:").'</b>',11,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Content Words: Nouns, Adjetives, Adverb, Verbs."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Function Words: Articles, Auxiliary verbs, conjuntions, prepositions, pronoums, noum-"),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("  determiners, etc."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Estructura básica de la oración: Subject an Predicate"),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Tiempos Verbales (Simples y Perfectos."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Voz Pasiva."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Clausulas Relativas."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Frases Nominales."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- El Gerundio."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- El Infinitivo."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);


$pdf->ezsetdy(-5);
$pdf->ezText('<b>'.utf8_decode("UNIDAD II: FORMACIÓN Y ANÁLISIS DE PALABRAS").'</b>',12,array('justification'=>'left'));
$pdf->ezsetdy(-3);
$pdf->ezText('<b>'.utf8_decode("Contenido:").'</b>',11,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Uso del Diccionario."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Raices y afijos (Prefijos y sufijos."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Cognados y falsos cognados."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Términos de referencia (Referentes y antecedentes."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Conectores y Expresiones de Transición (Palabras y frases que indican: "),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("  Similitud, Contrastre, Causa, Resultado, Condición, Resumen, Adición y Secuencia."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Voz Pasiva."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Clausulas Relativas."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Frases Nominales."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- El Gerundio."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- El Infinitivo."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);

$pdf->ezsetdy(-5);
$pdf->ezText('<b>'.utf8_decode("UNIDAD III: TÉCNICAS DE COMPRESIÓN LECTORAS").'</b>',12,array('justification'=>'left'));
$pdf->ezsetdy(-3);
$pdf->ezText('<b>'.utf8_decode("Contenido:").'</b>',11,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Claves Tipográficas o elementos de Diagramación."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Predicting."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Previewing."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Skimming."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- SQ3R."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- El Resumen."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- La Paráfrasis."),11,array('justification'=>'justify'));

$pdf->ezsetdy(-5);
$pdf->ezText('<b>'.utf8_decode("UNIDAD IV: EL PÁRRAFO").'</b>',12,array('justification'=>'left'));
$pdf->ezsetdy(-3);
$pdf->ezText('<b>'.utf8_decode("Contenido:").'</b>',11,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Tipos de Párrafo (Narrativo, descripctivo, expositivo, argumentativo, etc."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Idea Central del Párrafo."),11,array('justification'=>'justify'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode("- Ideas Secundarias."),11,array('justification'=>'justify'));

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.

$pdf->addObject($all,'all'); 

$pdf->ezStream(); 


function pie_pagina($pdf)
{
    // Facilitador(a).
    $pdf->ezText(utf8_decode("Urbanización Las Mercedes, Paseo Enrique Eraso, Torre La Noria, Piso 2, Caracas, Distrito Capital"),9,array('justification'=>'center'));
	 $pdf->ezText(utf8_decode("Teléfonos: (0212) 993.31.06 - Fax: (0212) 993.31.93. e-mail: unlati@cantv.net"),9,array('justification'=>'center'));
}



function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	$Mes = str_replace("01","Enero",$Mes); 
	$Mes = str_replace("02","Febrero",$Mes); 
	$Mes = str_replace("03","Marzo",$Mes); 
	$Mes = str_replace("04","Abril",$Mes); 
	$Mes = str_replace("05","Mayo",$Mes); 
	$Mes = str_replace("06","Junio",$Mes); 
	$Mes = str_replace("07","Julio",$Mes); 
	$Mes = str_replace("08","Agosto",$Mes); 
	$Mes = str_replace("09","Septiembre",$Mes); 
	$Mes = str_replace("10","Octubre",$Mes); 
	$Mes = str_replace("11","Noviembre",$Mes); 
	$Mes = str_replace("12","Diciembre",$Mes); 
	
	$Anio = substr($fecha,0,4); 
	if ($diaMes=='1') {
	    return "al ".$diaMes." día del mes de ".$Mes." de ".$Anio."";
	}
	else {
	    return "a los ".$diaMes." días del mes de ".$Mes." de ".$Anio."";
	}
	 
	}
	
	function decode($cadena)
	{
	return html_entity_decode($cadena,$this->estilocomillas,$this->juegocaracterdecode);
	}  
?> 
